TTTT Analysis 0.1

Public Member Functions | List of all members
fv::RangeFilter< T > Class Template Reference
Inheritance diagram for fv::RangeFilter< T >:
[legend]
Collaboration diagram for fv::RangeFilter< T >:
[legend]

## Public Member Functions
| RangeFilter (const std::string name, Value< T > *test_value, T range_low, T range_high)
Public Member Functions inherited from fv::Filter
| Filter (const std::string &name, std::function< bool()> filter_function, const std::string &impl="")
Filter * | operator* (Filter *f)
| Return a new filter that is the conjuction of the two source filters.
Filter * | operator+ (Filter *f)
| Return a new filter that is the disjunction of the two source filters.
Filter * | operator! ()
| Return a new filter that is the negation of the source filter.
Public Member Functions inherited from fv::DerivedValue< bool >
| DerivedValue (const std::string &name, const std::string &alias="")
bool & | get_value ()
| Calculate, if necessary, and return the value held by this object.
Public Member Functions inherited from fv::Value< bool >
| Value (const std::string &name, const std::string &alias="")
Public Member Functions inherited from fv::GenValue
| GenValue (const std::string &name, const std::string &alias)
const std::string & | get_name ()
void | set_name (const std::string &new_name)

## Additional Inherited Members
Static Public Member Functions inherited from fv::GenValue
static void | reset ()
static GenValue * | get_value (const std::string &name)
static void | alias (const std::string &name, GenValue *value)
static GenValue * | alias (const std::string &name)
static std::string | summary ()
Protected Attributes inherited from fv::DerivedValue< bool >
bool | value
bool | value_valid
Static Protected Attributes inherited from fv::GenValue
static std::map< const std::string, GenValue * > | values
| A static mapping containing all created Value objects. More...
static std::map< const std::string, GenValue * > | aliases
| Composite value names are typically nested. More...

The documentation for this class was generated from the following file:

- /home/caleb/Sources/TTTT/filval/filter.hpp